# Week 7

> Remember, each week you must complete the weekly quiz, just general questions around what you have been learning on the module. These quizzes are not marked directly but you will get a mark for completing 90% of them.
> 
> **This week's quiz can be found here:**  https://uwe.eu.qualtrics.com/jfe/form/SV_cHLTdLJMCqznidM
> 
> [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=6753e2cc-0739-4485-930f-adb700fe7266&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/webapps/blackboard/execute/content/file?cmd=view&content_id=_10054835_1&course_id=_358428_1&launch_in_new=true)

Over the next couple of weeks, we will be introducing three main topics. We will start with setting up and then begin looking at using command line interfaces, specifically a program called git (which we use for managing code). We will also start thinking about 'programming' in an abstract way by experimenting with scratch, an online graphical programming environment.
We can consider the three topics for the next two weeks to be:

- Command line interfaces

- Git

- The general concepts of programming

  

## This week you are working on...

- Getting our programming environment setup by following the setup guide.
- Compiling a provided C++ file to test everything is working
- Working on [worksheet 1 (Source Control with Git)](https://blackboard.uwe.ac.uk/bbcswebdav/pid-8583409-dt-content-rid-26677429_2/xid-26677429_2).
- [Optionally] if you feels confident with the other tasks, exploring some programming concepts using [Scratch](https://scratch.mit.edu/)



## Have already completed ...

Watching [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=7f58e51b-a916-4a01-a478-adba00ef4f9d&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/webapps/blackboard/execute/content/file?cmd=view&content_id=_10054928_1&course_id=_358428_1&launch_in_new=true).
Other than that, nothing yet! But please make sure you have access to the module materials on blackboard, have taken a look around it and have ensured you won't miss any communications from the announcements and email (we recommend forwarding these announcements to your primary inbox if you prefer).



## By the end of the week...

... you should have completed:

* Watching [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=6753e2cc-0739-4485-930f-adb700fe7266&instance=Blackboard) ( [slides](https://blackboard.uwe.ac.uk/webapps/blackboard/execute/content/file?cmd=view&content_id=_10054835_1&course_id=_358428_1&launch_in_new=true) available)
- Watching  [Ben's 3 part videos on source control with git](https://www.youtube.com/watch?v=25_mXw_veVg&list=PLe2QYG8u2CjMXsGSL7NOE4E9pe0Thd1gB)
* Attend a face-to-face seminar
* Attend a face-to-face practical
* Completed the setup guide
* Worked on Worksheet 1 (to be completed next week if necessary)

...you should be able to:

- Compile a C++ program on your machine
- Use *git* to track and manage source files
- Be familiar with the process of _forking_, _cloning_ a _repo_
- Be familiar with the *git add*, *commit* and *push* commands



## Resources

- [This weeks lecture](https://uwe.cloud.panopto.eu/Panopto/Pages/Viewer.aspx?id=6753e2cc-0739-4485-930f-adb700fe7266&instance=Blackboard) and [slides](https://blackboard.uwe.ac.uk/webapps/blackboard/execute/content/file?cmd=view&content_id=_10054835_1&course_id=_358428_1&launch_in_new=true)
- Guide on using Command Line Interfaces ([cli.pdf](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/cli.md?ref_type=heads))
- [Git introduction](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/intro-to-git.md?ref_type=heads)
- [Git submissions](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-submissions.md?ref_type=heads)
- [Git Reference](https://gitlab.uwe.ac.uk/ng-renney/cpp-resources/-/blob/main/guides/git/git-reference.md?ref_type=heads)

> These guides also available on Blackboard


### Videos

- [Ben's 3 part videos on source control with git](https://www.youtube.com/watch?v=25_mXw_veVg&list=PLe2QYG8u2CjMXsGSL7NOE4E9pe0Thd1gB)

Here are some recommended external resources:

- [git explained in 100 seconds](https://www.youtube.com/watch?v=hwP7WQkmECE)

- [How to use git and GitHub](https://www.youtube.com/watch?v=HkdAHXoRtos)





